Has patch:
Subject: Support 1-1 object references
Description

/**
 *@entity
 */
class Site {

/**
 * @var F3::TYPO3::Domain::StructureNode
 * @reference
     */
    protected $rootNode;

}

Results in:

#1: Catchable Fatal Error: Argument 1 passed to F3::FLOW3::Persistence::Manager::traverseAndInspectReferenceObjects() must be
an array, object given, called in
/Users/Shared/Sites/dev/t3v5/dist/Packages/FLOW3/Classes/Persistence/F3_FLOW3_Persistence_Manager.php on line 202 and
defined in /Users/Shared/Sites/dev/t3v5/dist/Packages/FLOW3/Classes/Persistence/F3_FLOW3_Persistence_Manager.php line 186

Associated revisions
Revision 92e841f1 - 2008-09-18 17:21 - Karsten Dambekalns
FLOW3:
    -  added a missing method to the AOP proxy interface
    -  persistence now can handle 1:1 references, fixes #1543

History
#1 - 2008-09-18 16:14 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2008-09-18 17:22 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1249.

2015-08-03 1/1


